%global origversion   3.5-rc2

Name:           libaudclient
Version:        3.5
Release:        0.2.rc2%{?dist}
Summary:        Client library for audacious
License:        BSD
Group:          System Environment/Libraries
Url:            http://audacious-media-player.org/
Source:         http://distfiles.audacious-media-player.org/%{name}-%{origversion}.tar.bz2
BuildRequires:  dbus-glib-devel >= 0.88

%description
Audacious D-Bus remote control library

%package    -n  libaudclient-devel
Summary:        Development files for libaudclient
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n libaudclient-devel
Development files for libaudclient (to communicate with Audacious)

%prep
%setup -q -n %{name}-%{origversion}
sed -i '\,^.SILENT:,d' buildsys.mk.in

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS
%license COPYING
%{_libdir}/libaudclient.so.2
%{_libdir}/libaudclient.so.2.0.0

%files -n libaudclient-devel
%dir %{_includedir}/audacious/
%{_includedir}/audacious/audctrl.h
%{_includedir}/audacious/dbus.h
%{_libdir}/libaudclient.so
%{_libdir}/pkgconfig/audclient.pc

%changelog
* Fri Jul 03 2015 Sérgio Basto <sergio@serjux.com> - 3.5-0.2.rc2
- Some spec reviews

* Fri Jul 03 2015 Sérgio Basto <sergio@serjux.com> - 3.5-0.1.rc2
- Adjusted to Fedora.

* Wed Jan 14 2015 aloisio@gmx.com
- Now packaged separately from audacious
